Update allocation payment
curl --request PUT \
--url https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug} \
--header 'Accept: <accept>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 2500,
"date_paid": "2026-02-28",
"external_id": "INV-10432",
"payment_method": "PqRsTuVw",
"reference": "Q1 grant payment",
"status": "paid"
}
'import requests
url = "https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}"
payload = {
"amount": 2500,
"date_paid": "2026-02-28",
"external_id": "INV-10432",
"payment_method": "PqRsTuVw",
"reference": "Q1 grant payment",
"status": "paid"
}
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 2500,
date_paid: '2026-02-28',
external_id: 'INV-10432',
payment_method: 'PqRsTuVw',
reference: 'Q1 grant payment',
status: 'paid'
})
};
fetch('https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 2500,
'date_paid' => '2026-02-28',
'external_id' => 'INV-10432',
'payment_method' => 'PqRsTuVw',
'reference' => 'Q1 grant payment',
'status' => 'paid'
]),
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}"
payload := strings.NewReader("{\n \"amount\": 2500,\n \"date_paid\": \"2026-02-28\",\n \"external_id\": \"INV-10432\",\n \"payment_method\": \"PqRsTuVw\",\n \"reference\": \"Q1 grant payment\",\n \"status\": \"paid\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Accept", "<accept>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}")
.header("Accept", "<accept>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 2500,\n \"date_paid\": \"2026-02-28\",\n \"external_id\": \"INV-10432\",\n \"payment_method\": \"PqRsTuVw\",\n \"reference\": \"Q1 grant payment\",\n \"status\": \"paid\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Accept"] = '<accept>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 2500,\n \"date_paid\": \"2026-02-28\",\n \"external_id\": \"INV-10432\",\n \"payment_method\": \"PqRsTuVw\",\n \"reference\": \"Q1 grant payment\",\n \"status\": \"paid\"\n}"
response = http.request(request)
puts response.read_body{
"allocation": {
"slug": "NqqplzPl",
"link": "https://api.au.cr4ce.com/allocation/NqqplzPl"
},
"allocation_amount": 500,
"amount": 280.65,
"comments": "",
"created": "2024-03-19T14:00:25Z",
"currency": "GBP",
"date_due": null,
"date_paid": null,
"applicant": {
"slug": "AbCdEfGh",
"link": "https://api.au.cr4ce.com/user/AbCdEfGh",
"name": "Jane Doe",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"global_id": "9c78dcbc-53cf-42f1-b5b3-82fe396f66e6"
},
"application": {
"slug": "PqRsTuVw",
"id": 4821,
"title": "Project title",
"link": "https://api.au.cr4ce.com/application/PqRsTuVw"
},
"external_id": "",
"fund": {
"slug": "PVzOmlXO",
"link": "https://api.au.cr4ce.com/fund/PVzOmlXO",
"name": {
"en_GB": "Maintenance"
}
},
"grant_status": null,
"payment_method": null,
"reference": "",
"season": {
"slug": "wboyrBmo",
"link": "https://api.au.cr4ce.com/season/wboyrBmo",
"name": {
"en_GB": "2026"
}
},
"slug": "oQKEeNDy",
"status": "Scheduled",
"updated": "2024-03-19T14:00:35Z"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 404
}{
"message": "<string>",
"status_code": 422,
"errors": {}
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Allocation payments
Update allocation payment
Update the allocation payment identified by the specified slug.
PUT
/
allocation-payment
/
{allocation_payment_slug}
Update allocation payment
curl --request PUT \
--url https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug} \
--header 'Accept: <accept>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 2500,
"date_paid": "2026-02-28",
"external_id": "INV-10432",
"payment_method": "PqRsTuVw",
"reference": "Q1 grant payment",
"status": "paid"
}
'import requests
url = "https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}"
payload = {
"amount": 2500,
"date_paid": "2026-02-28",
"external_id": "INV-10432",
"payment_method": "PqRsTuVw",
"reference": "Q1 grant payment",
"status": "paid"
}
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 2500,
date_paid: '2026-02-28',
external_id: 'INV-10432',
payment_method: 'PqRsTuVw',
reference: 'Q1 grant payment',
status: 'paid'
})
};
fetch('https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 2500,
'date_paid' => '2026-02-28',
'external_id' => 'INV-10432',
'payment_method' => 'PqRsTuVw',
'reference' => 'Q1 grant payment',
'status' => 'paid'
]),
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}"
payload := strings.NewReader("{\n \"amount\": 2500,\n \"date_paid\": \"2026-02-28\",\n \"external_id\": \"INV-10432\",\n \"payment_method\": \"PqRsTuVw\",\n \"reference\": \"Q1 grant payment\",\n \"status\": \"paid\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Accept", "<accept>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}")
.header("Accept", "<accept>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 2500,\n \"date_paid\": \"2026-02-28\",\n \"external_id\": \"INV-10432\",\n \"payment_method\": \"PqRsTuVw\",\n \"reference\": \"Q1 grant payment\",\n \"status\": \"paid\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.cr4ce.com/allocation-payment/{allocation_payment_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Accept"] = '<accept>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 2500,\n \"date_paid\": \"2026-02-28\",\n \"external_id\": \"INV-10432\",\n \"payment_method\": \"PqRsTuVw\",\n \"reference\": \"Q1 grant payment\",\n \"status\": \"paid\"\n}"
response = http.request(request)
puts response.read_body{
"allocation": {
"slug": "NqqplzPl",
"link": "https://api.au.cr4ce.com/allocation/NqqplzPl"
},
"allocation_amount": 500,
"amount": 280.65,
"comments": "",
"created": "2024-03-19T14:00:25Z",
"currency": "GBP",
"date_due": null,
"date_paid": null,
"applicant": {
"slug": "AbCdEfGh",
"link": "https://api.au.cr4ce.com/user/AbCdEfGh",
"name": "Jane Doe",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"global_id": "9c78dcbc-53cf-42f1-b5b3-82fe396f66e6"
},
"application": {
"slug": "PqRsTuVw",
"id": 4821,
"title": "Project title",
"link": "https://api.au.cr4ce.com/application/PqRsTuVw"
},
"external_id": "",
"fund": {
"slug": "PVzOmlXO",
"link": "https://api.au.cr4ce.com/fund/PVzOmlXO",
"name": {
"en_GB": "Maintenance"
}
},
"grant_status": null,
"payment_method": null,
"reference": "",
"season": {
"slug": "wboyrBmo",
"link": "https://api.au.cr4ce.com/season/wboyrBmo",
"name": {
"en_GB": "2026"
}
},
"slug": "oQKEeNDy",
"status": "Scheduled",
"updated": "2024-03-19T14:00:35Z"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 404
}{
"message": "<string>",
"status_code": 422,
"errors": {}
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Authorizations
Headers
Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
Available options:
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Body
application/json
Allocation payment update payload.
Response
Allocation payment updated.
Scheduled or recorded disbursement of funds against an allocation.